org.apache.maven.scm.command.list

## Class ListScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.list.ListScmResult

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    LocalListScmResult

      public class ListScmResult
      extends ScmResult

  Result of `ScmProvider.list(org.apache.maven.scm.repository.ScmRepository, org.apache.maven.scm.ScmFileSet, boolean, org.apache.maven.scm.ScmVersion)` operation
  Version:
    $Id: ListScmResult.java 686197 2008-08-15 12:13:29Z vsiveton $
  Author:
    Carlos Sanchez
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListScmResult(List files, ScmResult result)`
    `ListScmResult(String commandLine, List files)`
    `ListScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getFiles()`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListScmResult

          public ListScmResult(String commandLine,
                       String providerMessage,
                       String commandOutput,
                       boolean success)

    - #### ListScmResult

          public ListScmResult(String commandLine,
                       List files)

    - #### ListScmResult

          public ListScmResult(List files,
                       ScmResult result)

  - ### Method Detail

    - #### getFiles

          public List getFiles()

Copyright © 2003–2015. All rights reserved.